from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class TextureKind2(IntEnum):
    LUMINANCE = auto()
    INTENSITY = auto()
    COLOR = auto()
